Package org.kapott.hbci.sepa.jaxb.pain_002_001_11

# Class TaxPeriod2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_11.TaxPeriod2

public class TaxPeriod2 extends Object

Java class for TaxPeriod2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxPeriod2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Yr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}ISODate" minOccurs="0"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}TaxRecordPeriod1Code" minOccurs="0"/>
             <element name="FrToDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}DatePeriod2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DatePeriod2`
`frToDt`
`protected TaxRecordPeriod1Code`
`tp`
`protected XMLGregorianCalendar`
`yr`

## Constructor Summary

Constructors
Constructor
Description
`TaxPeriod2()`

## Method Summary

Modifier and Type
Method
Description
`DatePeriod2`
`getFrToDt()`
Gets the value of the frToDt property.
`TaxRecordPeriod1Code`
`getTp()`
Gets the value of the tp property.
`XMLGregorianCalendar`
`getYr()`
Gets the value of the yr property.
`void`
`setFrToDt(DatePeriod2 value)`
Sets the value of the frToDt property.
`void`
`setTp(TaxRecordPeriod1Code value)`
Sets the value of the tp property.
`void`
`setYr(XMLGregorianCalendar value)`
Sets the value of the yr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### yr

protected XMLGregorianCalendar yr

### tp

protected TaxRecordPeriod1Code tp

### frToDt

protected DatePeriod2 frToDt

## Constructor Details

### TaxPeriod2

public TaxPeriod2()

## Method Details

### getYr

public XMLGregorianCalendar getYr()
Gets the value of the yr property.

Returns:
  possible object is `XMLGregorianCalendar`

### setYr

public void setYr(XMLGregorianCalendar value)
Sets the value of the yr property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getTp

public TaxRecordPeriod1Code getTp()
Gets the value of the tp property.

Returns:
  possible object is `TaxRecordPeriod1Code`

### setTp

public void setTp(TaxRecordPeriod1Code value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `TaxRecordPeriod1Code`

### getFrToDt

public DatePeriod2 getFrToDt()
Gets the value of the frToDt property.

Returns:
  possible object is `DatePeriod2`

### setFrToDt

public void setFrToDt(DatePeriod2 value)
Sets the value of the frToDt property.

Parameters:
  `value` - allowed object is `DatePeriod2`